<div class="module">

    <header class="module-header">
        <h4>Amigos</h4>
    </header>

    <ul *ngIf="friends.length else empty" class="user-list">
        <li *ngFor="let friend of friends">

            <div class="user-icon">
                <a [routerLink]="(friend.username | profileUrl)" [title]="friend.username">
                    <mr-image [avatar]="friend.username"></mr-image>
                </a>
                <mr-dropdown *ngIf="isCurrentUser">
                    <ul>
                        <li (click)="endFriendship(friend.username)">Eliminar amistad</li>
                    </ul>
                </mr-dropdown>
            </div>

        </li>
    </ul>

    <ng-template #empty>
        <mr-empty icon="la-frown" message="Parece que no hay nadie aquí"></mr-empty>
    </ng-template>

</div>
